Get generation job status
Poll this endpoint to track generation progress. Key fields:
status: pending, running, needs_clarification, completed, failedstage: queued, gathering, generating, testing, retrying, donehypothesis: current generated script (work in progress)testResults: array of test attempts with pass/failclarification: AI’s question (when status = needs_clarification)logs: array of stage log entries
Authentication
X-Api-Keystring
API Key authentication via header
Path parameters
jobId
Generation job ID
Response
OK
code
isSuccess
message
job
Errors
404
Not Found Error

